Survey
GET
/surveys/{survey_id}/statusCheck Survey Status
Check if the current user has already answered a survey.
Returns participated: true with the response ID and submission time if the user has already submitted, or participated: false if not.
Use this to decide whether to show the survey to the user.
Requires: Bearer token, X-Country header.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/surveys/{{survey_id}}/status' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |